package com.bonus.core.device.manage.controller.deprecated.vo;


import com.bonus.core.common.utils.SysUtil;

import java.math.BigDecimal;
import java.time.LocalTime;

public class CustomShopstallVO {
   private Long canteenId;
   private String canteenName;
   private Long shopstallId;
   private String shopstallName;
   private BigDecimal packingFee;
   private Long recipeId;
   private String recipeName;
   private Integer ifUsePrint;
   private String imgUrl;
   private Integer ifOpen;
   private LocalTime staTime;
   private LocalTime endTime;

   public String getImgUrl() {
      return SysUtil.getCutFileUrl(this.imgUrl);
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public String getShopstallName() {
      return this.shopstallName;
   }

   public BigDecimal getPackingFee() {
      return this.packingFee;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public String getRecipeName() {
      return this.recipeName;
   }

   public Integer getIfUsePrint() {
      return this.ifUsePrint;
   }

   public Integer getIfOpen() {
      return this.ifOpen;
   }

   public LocalTime getStaTime() {
      return this.staTime;
   }

   public LocalTime getEndTime() {
      return this.endTime;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setShopstallName(final String shopstallName) {
      this.shopstallName = shopstallName;
   }

   public void setPackingFee(final BigDecimal packingFee) {
      this.packingFee = packingFee;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setRecipeName(final String recipeName) {
      this.recipeName = recipeName;
   }

   public void setIfUsePrint(final Integer ifUsePrint) {
      this.ifUsePrint = ifUsePrint;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }

   public void setIfOpen(final Integer ifOpen) {
      this.ifOpen = ifOpen;
   }

   public void setStaTime(final LocalTime staTime) {
      this.staTime = staTime;
   }

   public void setEndTime(final LocalTime endTime) {
      this.endTime = endTime;
   }

}
